be.cin.nip.async.business

## Class GenericRequestList

- java.lang.Object
- - be.cin.nip.async.business.GenericRequestList

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:20+01:00",
                 comments="JAXB RI v2.2.11")
      public class GenericRequestList
      extends Object
      implements Serializable

  Java class for GenericRequestListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GenericRequestListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:cin:nip:async:business}GenericRequest" maxOccurs="10000"/>
             </sequence>
             <attribute name="timestamp" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericRequestList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<GenericRequest>` | `getGenericRequests()` A list of GenericRequest items.
    `org.joda.time.DateTime` | `getTimestamp()` Gets the value of the timestamp property.
    `void` | `setTimestamp(org.joda.time.DateTime value)` Sets the value of the timestamp property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericRequestList

          public GenericRequestList()

  - ### Method Detail

    - #### getGenericRequests

          public List<GenericRequest> getGenericRequests()

      A list of GenericRequest items. Gets the value of the genericRequests property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the genericRequests property.

      For example, to add a new item, do as follows:

              getGenericRequests().add(newItem);

      Objects of the following type(s) are allowed in the list `GenericRequest`

    - #### getTimestamp

          public org.joda.time.DateTime getTimestamp()

      Gets the value of the timestamp property.
      Returns:
        possible object is `String`

    - #### setTimestamp

          public void setTimestamp(org.joda.time.DateTime value)

      Sets the value of the timestamp property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.